#!/bin/bash

if [ -f '/usr/sbin/wildix_shell_tools' ]; then
	. /usr/sbin/wildix_shell_tools
else
	logger -t "${0}" "ERROR: can't include wildix_shell_tools"
	exit 1
fi

if [ "$(is_amazon)" -eq '1' ]; then
	## for Cloud
	if [ "$(grep -c ' /mnt/' /proc/mounts)" -lt "4" ]; then
		/usr/sbin/wmsmount
		exit 1
	fi
else
	## for HW and etc
	for point in $(awk -F '=' '/usb|hdd/{print $1}' /etc/wms.conf); do
		if [ ! "$(grep -ow "$point" /proc/mounts)" ]; then
			/usr/sbin/wmsmount
			exit 1
		fi
	done
fi

exit 0